org.eclipse.rdf4j.sail.base.config

## Class BaseSailConfig

- java.lang.Object
- - org.eclipse.rdf4j.sail.config.AbstractSailImplConfig
  - - org.eclipse.rdf4j.sail.base.config.BaseSailConfig

- All Implemented Interfaces:
    SailImplConfig
  Direct Known Subclasses:
    ElasticsearchStoreConfig, MemoryStoreConfig, NativeStoreConfig

      public abstract class BaseSailConfig
      extends AbstractSailImplConfig

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BaseSailConfig(String type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Resource` | `export(Model graph)`
    `EvaluationStrategyFactory` | `getEvaluationStrategyFactory()`
    `String` | `getEvaluationStrategyFactoryClassName()`
    `void` | `parse(Model graph, Resource implNode)`
    `void` | `setEvaluationStrategyFactoryClassName(String className)`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.config.AbstractSailImplConfig

      `getConnectionTimeOut, getIterationCacheSyncThreshold, getType, setConnectionTimeOut, setIterationCacheSyncThreshold, setType, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseSailConfig

          protected BaseSailConfig(String type)

  - ### Method Detail

    - #### getEvaluationStrategyFactoryClassName

          public String getEvaluationStrategyFactoryClassName()

    - #### setEvaluationStrategyFactoryClassName

          public void setEvaluationStrategyFactoryClassName(String className)

    - #### getEvaluationStrategyFactory

          public EvaluationStrategyFactory getEvaluationStrategyFactory()
                                                                 throws SailConfigException

      Throws:
        `SailConfigException`

    - #### export

          public Resource export(Model graph)

      Specified by:
        `export` in interface `SailImplConfig`
      Overrides:
        `export` in class `AbstractSailImplConfig`

    - #### parse

          public void parse(Model graph,
                            Resource implNode)
                     throws SailConfigException

      Specified by:
        `parse` in interface `SailImplConfig`
      Overrides:
        `parse` in class `AbstractSailImplConfig`
      Throws:
        `SailConfigException`

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.